# BEGIN SourceDeps(oneline):
BuildRequires: perl(Test.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%global shortname File-FnMatch

Name:           perl-%{shortname}
Version:        0.02
Release:        alt2_14
Summary:        Simple file-name and pathname matching
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{shortname}/
Source0:        http://www.cpan.org/modules/by-module/File/%{shortname}-%{version}.tar.gz
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# RPM 4.8 style:
%{echo 
%filter_from_provides /FnMatch.so/d
}
# RPM 4.9 style:


Source44: import.info


%description
This module provides simple, shell-like pattern matching.

%prep
%setup -q -n %{shortname}-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/File*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2_14
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt2_13
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_13
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_11
- fc import

